[ioquake3] 07/33: Fix specifying minimum mac os version in make-macosx.sh
Simon McVittie
smcv at debian.org
Mon Oct 30 14:00:24 UTC 2017
This is an automated email from the git hooks/post-receive script.
smcv pushed a commit to branch debian/master
in repository ioquake3.
commit 0a599268bb757536d6a55eee30c08d51198dc1eb
Author: Zack Middleton <zack at cloemail.com>
Date: Thu Sep 14 16:44:20 2017 -0500
Fix specifying minimum mac os version in make-macosx.sh
Use newer method of telling Makefile instead of specifying CFLAGS
and LDFLAGS which results in using both Makefile's and scripts flags.
---
make-macosx.sh | 14 ++++----------
1 file changed, 4 insertions(+), 10 deletions(-)
diff --git a/make-macosx.sh b/make-macosx.sh
index 035b399..91fecf1 100755
--- a/make-macosx.sh
+++ b/make-macosx.sh
@@ -14,7 +14,6 @@ fi
if [ "$1" == "x86" ]; then
BUILDARCH=x86
- DARWIN_GCC_ARCH=i386
elif [ "$1" == "x86_64" ]; then
BUILDARCH=x86_64
elif [ "$1" == "ppc" ]; then
@@ -25,10 +24,6 @@ else
exit 1
fi
-if [ -z "$DARWIN_GCC_ARCH" ]; then
- DARWIN_GCC_ARCH=${BUILDARCH}
-fi
-
CC=gcc-4.0
DESTDIR=build/release-darwin-${BUILDARCH}
@@ -46,13 +41,12 @@ fi
unset ARCH_SDK
unset ARCH_CFLAGS
-unset ARCH_LDFLAGS
+unset ARCH_MACOSX_VERSION_MIN
if [ -d /Developer/SDKs/MacOSX10.5.sdk ]; then
ARCH_SDK=/Developer/SDKs/MacOSX10.5.sdk
- ARCH_CFLAGS="-arch ${DARWIN_GCC_ARCH} -isysroot /Developer/SDKs/MacOSX10.5.sdk \
- -DMAC_OS_X_VERSION_MIN_REQUIRED=1050"
- ARCH_LDFLAGS=" -mmacosx-version-min=10.5"
+ ARCH_CFLAGS="-isysroot /Developer/SDKs/MacOSX10.5.sdk"
+ ARCH_MACOSX_VERSION_MIN="10.5"
fi
@@ -71,7 +65,7 @@ NCPU=`sysctl -n hw.ncpu`
#if [ -d build/release-darwin-${BUILDARCH} ]; then
# rm -r build/release-darwin-${BUILDARCH}
#fi
-(ARCH=${BUILDARCH} CFLAGS=$ARCH_CFLAGS LDFLAGS=$ARCH_LDFLAGS make -j$NCPU) || exit 1;
+(ARCH=${BUILDARCH} CFLAGS=$ARCH_CFLAGS MACOSX_VERSION_MIN=$ARCH_MACOSX_VERSION_MIN make -j$NCPU) || exit 1;
# use the following shell script to build an application bundle
"./make-macosx-app.sh" release ${BUILDARCH}
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-games/ioquake3.git
More information about the Pkg-games-commits
mailing list